Description

There would be useful to have an easy way to insert an screen shot, for example the way that fogbugz allow.  And the

screen shot would be nice to be inside the description not as an attachment.

Related issues:

Is duplicate of Redmine - Feature #3816: Allow pasting screenshots from clipb... Closed 2009-09-03

History

#1 - 2007-04-27 11:40 - Jean-Philippe Lang

Hello,

for example the way that fogbugz allow

 I have never used fogbugz.

Please, give more details.

Thanks

#2 - 2007-04-27 13:12 - Cristian Inthamoussu

Here is the description...

"FogBugz Screenshot is a simple program for Windows or

Macintosh that lets you easily capture images and send them

to FogBugz. Clicking on the bug icon takes a snapshot of

your screen and opens the Fogbugz Screenshot window, where

you can crop the image and add highlights.

The Windows version puts the bug icon in the taskbar at the

bottom.

The Macintosh version puts a bug icon in the menu-bar at the

top."

#3 - 2007-04-27 19:47 - Kurt Robson

I've been dreaming of this ability to grab a screenshot, mark

it up, and submit a bug report - with a minimum of keystrokes.

Looks like fogbugz nailed it.   check out their feature tour

starting here:  http://www.fogcreek.com/FogBugz/50tour/01.html

since in the rails world we are all building web based apps,

if we could integrate the right button into our app - like an

issue button somewhere on every page, or possibly in the browser

toolbar - to provide similar capability for Redmine, that would

be awesome.   Redmine would be running as a separate rails app

somewhere else of course - so the bug report must be submitted

as a web request.

#4 - 2007-04-30 06:53 - Jeffrey Jones

This sounds like a job for a Firefox extension (For the reporting

site of things).

Having said that nothing breaks a nice layout like arbitrarily

embedding an inline screenshot into a page, I prefer to keep
everything that isn't text in the attachments.

#5 - 2007-12-17 17:47 - Maxim Krušina

Sounds wondreful... I'm dreaming about this for months... Starting

screen capture app, remembering right shortcup, caputuring, saving

file somewhere, switching to browser, uploading file... It's

so so so much time consuming, so I almost never do this...

unfortunately. I'm voting for this.

#6 - 2008-01-15 06:13 - Martin Klima

Actually, Source Forge Enterprise Edition does it in the browser.

In Windows, you press Alt+Print Screen (that copies the screenshot

into clipboard), then click Add Screenshot button on the issue

page, a new window opens with some Java applet and voila! --

it automatically retrieves the screenshot from clipboard and

attaches it to the bug report.

#7 - 2010-01-16 16:51 - alex s

i found this post just now, and was hoping to hear if there was any development in finding a solution for the screenshots stuff. has there been any

progress in the past two years?

#8 - 2010-05-26 18:23 - Júlio Nobre

- Status changed from New to Resolved

This issue has been extensively developed on issue #3816 ([[http://www.redmine.org/issues/3816]])

I would close this issue, if I knew how to do it. :-)

#9 - 2013-01-15 11:00 - Jan Niggemann (redmine.org team member)

- Description updated

- Status changed from Resolved to Closed

Closing this, it's resolved since 2 years.

FTR: http://www.redmine.org/plugins/redmine_attach_screenshot_2

#10 - 2019-02-18 07:06 - Go MAEDA

- Is duplicate of Feature #3816: Allow pasting screenshots from clipboard added
